"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAuthAttributes = exports.updateAuthAttribute = exports.setAuthAttributes = exports.deleteAuthAttributes = void 0;
const toolkit_1 = require("@reduxjs/toolkit");
const initialState = {
    authenticated: undefined,
    accessToken: undefined,
    refreshToken: undefined,
};
const authSlice = (0, toolkit_1.createSlice)({
    name: 'auth',
    initialState,
    reducers: {
        setAuthAttributes: (state, action) => {
            return Object.assign(Object.assign({}, state), action.payload);
        },
        updateAuthAttribute: {
            prepare: (key, value) => ({
                payload: { key, value },
            }),
            reducer: (state, action) => {
                state[action.payload.key] = action.payload.value;
            },
        },
        deleteAuthAttributes: () => {
            return initialState;
        },
    },
});
exports.deleteAuthAttributes = authSlice.actions.deleteAuthAttributes;
exports.setAuthAttributes = authSlice.actions.setAuthAttributes;
exports.updateAuthAttribute = authSlice.actions.updateAuthAttribute;
const getAuthAttributes = (state) => state.procyon.auth;
exports.getAuthAttributes = getAuthAttributes;
exports.default = authSlice.reducer;
